Support » Plugin: Post SMTP Mailer/Email Log » MyMail is now Mailster

  • Hi there, Xaver from EverPress here.

    I’m the developer of Mailster (formerly MyMail) and I like to report deprecated methods in this plugin.

    Since Mailster (released in 2016) all hooks and filters are prefixed with mailster_* instead of mymail_*

    We constantly get reports on these deprecated hook warning so I ask you to update these hooks.

    Basically you can change all “mymail” with “mailster” and “MYMAIL” with “MAILSTER” in this file

    Also in your item description it should be

    Mailster by EverPress

    instead of “MyMail Newsletter by revaxarts”

    Read more about the update here.

    Thanks for your attention!

Viewing 10 replies - 1 through 10 (of 10 total)
  • Plugin Author yehudah

    (@yehudah)

    Hi,

    Thank you for taking the time updating me.

    I will fix this soon.

    Thanks for your quick response! Appreciated!

    Also: The link to the settings page is now:

    edit.php?post_type=newsletter&page=mailster_settings&mailster_remove_notice=mailster_delivery_method#delivery

    here and here

    You can get in touch with us here if you like to have a copy of Mailster.

    • This reply was modified 11 months, 2 weeks ago by  EverPress.
    robert7k

    (@robert7k)

    Looks like the same issue:

    i get the php error:

    Notice mymail_option is deprecated since version 2.3! Use mailster_option instead.

    Location:

    do_action(‘init’)
    wp-settings.php:467
    PostmanMyMailConnector->init()
    wp-includes/class-wp-hook.php:286
    mymail_option()
    wp-content/plugins/post-smtp/Postman/Postman-Mail/PostmanMyMailConnector.php:55
    wp-includes/functions.php:3923

    I also get the message “MyMail: Change the delivery method in the Settings!”
    Without naming wich plugin it comes from ( yep… it’s from you too – it’s in PostmanMyMailConnector.php)

    KoolPal

    (@koolpal)

    I just installed Mailster and getting this error message:

    mymail_option is <strong>deprecated</strong> since version 2.3! Use mailster_option instead.

    Is this still not fixed?

    Plugin Author yehudah

    (@yehudah)

    @koolpal @robert7k

    My bad, forgot about this.
    Just wirking on a new release and I can promise it will be fixed.

    KoolPal

    (@koolpal)

    @yehudah
    Thanks. I hope it would be soon. my debug.log file is going beserk with this error 🙁

    Plugin Author yehudah

    (@yehudah)

    Very soon!

    KoolPal

    (@koolpal)

    Great! Will it help address this issue as well? https://wordpress.org/support/topic/mailster/

    I could not find Post SMTP in the email delivery options in Mailster. On searching I landed on the above thread which is now closed for comments.

    Thanks a lot!

    Plugin Author yehudah

    (@yehudah)

    @koolpal

    The issue will be fixed completely.

    You don’t see the tab because of the error.

Viewing 10 replies - 1 through 10 (of 10 total)
  • The topic ‘MyMail is now Mailster’ is closed to new replies.